Package org.eclipse.osgi.service.localization

## Interface BundleLocalization

    public interface BundleLocalization

The interface of the service that gets `ResourceBundle` objects from a given bundle with a given locale.

This interface is not intended to be implemented by clients.

Since:
  3.1
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`ResourceBundle` `getLocalization​(Bundle bundle, String locale)` Returns a `ResourceBundle` object for the given bundle and locale.

### Method Detail

#### getLocalization

    ResourceBundle getLocalization​(Bundle bundle,
                                   String locale)

Returns a `ResourceBundle` object for the given bundle and locale.

Parameters:
  `bundle` - the bundle to get localization for
  `locale` - the name of the locale to get, or `null` if the default locale is to be used
Returns:
  A `ResourceBundle` object for the given bundle and locale, or `null` is returned if no ResourceBundle object can be loaded.